
cap log close
log using "$dir/results/numbers_in_text", replace


***********************************************************
*** Readme Table B #1
***********************************************************


preserve 
count if survey<4 
local N=r(N)
disp `N'

reshape long share_click, i(id_respondent) j(number_clicks)
 
sum share_click if survey<4 & number_clicks==1
local m1=r(mean)  
disp round(`m1'*`N')
sum share_click if survey<4 & number_clicks==2
local m2=r(mean)  
disp round(`m2'*`N')
sum share_click if survey<4 & number_clicks==3
local m3=r(mean)  
disp round(`m3'*`N')
restore


***********************************************************
*** Readme Table B #4
***********************************************************
sum share_fact_click2 if  survey==2
dis r(mean)
sum share_fact_click2 if  survey==3
dis r(mean)


***********************************************************
*** Readme Table B #5 
***********************************************************
 count if survey_alt==3


***********************************************************
*  Readme Table B #9 
***********************************************************
sum heavy_use_fb_ if survey <4 
 
***********************************************************
*** Readme Table B #10
***********************************************************


preserve

use "$dir/original_data/share_facebook.dta", clear

gen per=day*24+hour
gen period=per-493

keep if survey_id<4


gen number_share_fact_fb= number_share_fb
replace number_share_fact_fb=0 if fact==0


gen number_share_fake_fb= number_share_fb
replace number_share_fake_fb=0 if fake==0

bysort period: egen share_fake = sum(number_share_fake_fb)   
bysort period: egen share_fact = sum(number_share_fact_fb)   


bysort period : gen id=_n
keep if id==1

**** Redefine date 0 to start the graph when median person startd the survey
gen period_med=period-22
drop if period_med<0
label var period_med "Hours since the median answer"

* replicate 749
sum share_fake
dis r(max)
* replicate 612
sum share_fake if period_med<=72
dis r(max)
* replicate 52
sum share_fact
dis r(max)

restore

 

***********************************************************
*** Readme Table B #11
***********************************************************


preserve 
count if survey_alt==2 |  survey_alt==3
local N=r(N)
disp `N'

reshape long share_fact_click, i(id_respondent) j(number_clicks)
 
sum share_fact_click if (survey_alt==2 |  survey_alt==3) & number_clicks==1
local m1=r(mean)  
disp round(`m1'*`N')
sum share_fact_click if (survey_alt==2 |  survey_alt==3)& number_clicks==2
local m2=r(mean)  
disp round(`m2'*`N')
sum share_fact_click if (survey_alt==2 |  survey_alt==3) & number_clicks==3
local m3=r(mean)  
disp round(`m3'*`N')
restore



***********************************************************
*** Readme Table B #19
***********************************************************

sum reciprocity if survey==1
dis r(sd)



**************************************************************
*** Readme Table B #20
*************************************************************

sum want_share_alt_facts_only if restriction==1 & survey==1
dis r(mean)
local m1 = r(mean)
sum want_share_alt_facts_only if restriction==1 & survey==2
dis r(mean)
local m2 = r(mean)
sum want_share_alt_facts_only if restriction==1 & survey==3
dis r(mean)
local m3 = r(mean)

sum share_click2_only if restriction==1 & survey==1
dis r(mean)
local a1 = r(mean)
sum share_click2_only if restriction==1 & survey==2
dis r(mean)
local a2 = r(mean)
sum share_click2_only if restriction==1 & survey==3
dis r(mean)
local a3 = r(mean)

dis (`m1'-`m2')/`m1'
dis (`m1'-`m3')/`m1'


dis (`a1'-`a2')/`a1'
dis (`a1'-`a3')/`a1'



***********************************************************
*** Readme Table B #21
***********************************************************

tab want_share_fb want_share_others if survey<4


log close

